Guide to Setting up OpenBazaar Server on a VPS

Follow

Comments

13 comments

  • Avatar
    Gleam

    If we opt to go with another provider, what are the minimum hardware specs we need to look for? IS 512GB RAM/SWAP minimum or would it run on 256/256?

  • Avatar
    Chris Grimmett

    I believe this line-

    make check && make install && sudo ldconfig

     

    should be-

    make check && sudo make install && sudo ldconfig

     

    Also the "Ubuntu way" of granting sudo access is just to add the user to the sudo group. It's easier to document, too-

    sudo usermod -a -G sudo [username]

     

    If you get this error--

    autoreconf: failed to run aclocal: No such file or directory

    install automake--

        sudo apt-get install automake

  • Avatar
    Thomas Miller

    I love the tutorial, I'm getting stuck when trying to install:

    sudo apt-get update sudo apt-get install libsodium-dev

    as you can see in this image

    http://www.screencast.com/t/ONzVCTqMqxek

    I get the error: "E: The update command takes no arguments"

    I've completed the rest of the tutorial however it doesn't allow me to run the server, so I'm thinking this is the issue.

     

  • Avatar
    Chris Grimmett

    @Thomas Miller--

     

    That line is incorrect. It should be--

    sudo apt-get update && sudo apt-get install libsodium-dev

  • Avatar
    Chris Grimmett

    Just a note for installers, there is another guide which might be helpful here-- https://slack-files.com/T02FPGBKB-F0KJU1CLX-cbbcf8a02c

  • Avatar
    Thomas Miller

    @Chris Grimmett

    Thanks Chris for your help that worked, I've got the server running now, and now when trying to connect the client...

    All I get is a spinning sign, but it never actually loads the store. as you can see here: http://www.screencast.com/t/4jrXpJ6GAq

    Even when I press the reload button it does the same, I also can't cancel the process to try to input a new IP address and username and password, or to run a localhost, I've even deleted the client off the computer and installed again and still stuck on this page now.

    Any ideas?

  • Avatar
    Chris Grimmett

    @Thomas Miller

    For troubleshooting I'll redirect you to the OpenBazaar Slack channel, much better than back and forth comments here. http://slack.openbazaar.org. Check out the #installation-issues channel and ping me @insanity54.

  • Avatar
    Sam Patterson

    Sorry for the typo, that's been fixed now. As Chris points out, if that doesn't work please join the Slack and we'll help from there.

  • Avatar
    Chris Grimmett

    If you get an error, "perl: warning: Setting locale failed." check out this article http://askubuntu.com/questions/162391/how-do-i-fix-my-locale-issue

  • Avatar
    demeo

    Hi there,

     

    I got small problem, with installation:

    E: Unable to locate package libzmq3-dev

    and after:

    #apt-get update

    I see error message:

    http://ppa.launchpad.net/chris-lea/libsodium/ubuntu/dists/wheezy/main/binary-i386/Packages  404  Not Found

    Where I could find this packages to install?

  • Avatar
    Chris Grimmett

    demeo- It looks like you're trying to install on Debian, which is not covered by this guide. You might need to compile libzmq from source. Swing by the OpenBazaar Slack channel for more direct support. https://openbazaar.slack.com

  • Avatar
    Fedcba098

    How do I update this article? I'd like to a small section between "Step Five: Set up SSL" & "Step Six: Start the Server" that briefly lists the incoming/outgoing ports & protocols used by the openbazaar server so that users can create the necessary whitelist rules in their firewall prior to starting the server, per this gist:

    * https://gist.github.com/tyler-smith/c4b421f4c89ed591cbc5

    And general discussion question:

    * https://openbazaar.zendesk.com/hc/en-us/community/posts/206727686-Server-Firewall-Requirements?page=1#community_comment_209893003

  • Avatar
    William C (Bill)

    Digital Ocean no longer offers Ubuntu 15.10.

    16.04.2 and 16.10 are the latest.

    I tried to use the tutorial for 16.04.2 but it is not working for me. I am not sure why? anyone have success with this?

    Thanks

Please sign in to leave a comment.